:root {
  --clr-primary-200: hsl(225, 100%, 94%);
  --clr-primary-300: hsl(245, 83%, 68%, 1);
  --clr-primary-400: hsl(245, 75%, 52%);

  --clr-neutral-100: hsl(0, 0%, 100%);
  --clr-neutral-200: hsl(225, 100%, 98%);
  --clr-neutral-400: hsl(224, 23%, 55%);
  --clr-neutral-800: hsl(223, 47%, 23%);

  --ff-primary: "Red Hat Display", sans-serif;

  --fw-regular: 500;
  --fw-bold: 700;
  --fw-black: 900;

  --fs-body: 1rem;
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

body {
  font-family: var(--ff-primary);
  font-size: var(--fs-body);
  font-weight: var(--fw-regular);
  background-color: var(--clr-primary-200);
  color: var(--clr-neutral-400);
  display: grid;
  place-items: center;
  background-image: url(images/pattern-background-desktop.svg);
  background-repeat: no-repeat;
}
.button {
  cursor: pointer;
  font-weight: var(--fw-bold);
  border-radius: 0.5rem;
  text-decoration: none;
  padding: 1rem 2rem;
  border: none;
  background-color: transparent;
}
.button--primary {
  color: var(--clr-neutral-100);
  background-color: var(--clr-primary-400);
}
.button--primary:hover,
.button--primary:focus {
  background-color: var(--clr-primary-300);
}
.button--secondary {
  color: var(--clr-neutral-400);
}
.button--secondary:hover,
.button--secondary:focus {
  color: var(--clr-neutral-800);
}

.card {
  max-width: 30rem;
  border-radius: 0.5rem;
  background-color: var(--clr-neutral-100);
  overflow: hidden;
  text-align: center;
  margin: 4rem 1rem;
}
.card__image {
  width: 100%;
}
.card__content {
  display: grid;
  gap: 1rem;
  padding: 2rem;
}

.card__content__title {
  font-size: 1.75rem;
  font-weight: var(--fw-black);
  color: var(--clr-neutral-800);
}
.card__content__subtitle {
  padding-inline: 1rem;
}

.plan {
  display: flex;
  align-items: center;
  gap: 1rem;
  padding: 1rem;
  border-radius: 1rem;
  background-color: var(--clr-neutral-200);
}
.plan__title {
  color: var(--clr-neutral-800);
  font-weight: var(--fw-bold);
}
.plan__link {
  cursor: pointer;
  border: 0;
  margin-left: auto;
  text-decoration: underline;
  color: var(--clr-primary-400);
}
.plan__link:hover,
.plan__link:focus {
  color: var(--clr-neutral-400);
  text-decoration: none;
}
